#ifndef _FUNCTION_H
#define _FUNCTION_H

#include "delay.h"
#include "diskio.h"
#include "led.h"
#include "string.h"

#define Data_volume	1410000


extern FIL file1;                       // 文件对象
extern FILINFO fno;
extern FATFS fatfs;                    // 逻辑驱动器的工作区
extern FRESULT res;             // FRESULT函数公共结果代码
extern UINT fnum;            					  /* 文件成功读写数量 */

void open_file(void);
void sendStartSignalToFPGA(void);
void SPI_Read_SDRAM(void);
void Formatting_test(void);
void SDRAM_TO_SD(void);

#endif
